<?php

namespace App\Exports;

use App\Models\DataDBD;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class ClusterExport implements FromCollection, WithHeadings
{
    public function collection()
    {
        // Ambil data dari session dan pilih kolom yang diinginkan
        $clusterResults = session('clusterResults', []);

        // Transform data untuk hanya menyertakan kolom yang diinginkan
        $formattedResults = collect($clusterResults)->map(function ($item) {
            return [
                'id_kecamatan' => $item['id_kecamatan'],
                'nama_kecamatan' => $item['nama_kecamatan'],
                'jumlah_penduduk' => $item['jumlah_penduduk'],
                'jumlah_kasus' => $item['jumlah_kasus'],
                'cluster' => $item['cluster'],
            ];
        });

        return $formattedResults;
    }

    public function headings(): array
    {
        return [
            'ID Kecamatan',
            'Nama Kecamatan',
            'Jumlah Penduduk',
            'Jumlah Kasus',
            'Cluster',
        ];
    }
}
